package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.dao.StudentMemberUpdateLogDao;
import com.ym.mec.biz.dal.entity.CloudTeacherOrder;
import com.ym.mec.biz.dal.entity.StudentMemberUpdateLog;
import com.ym.mec.biz.service.StudentMemberUpdateLogService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 学员云教练时长修改记录(StudentMemberUpdateLog)表服务实现类
 *
 * @author zx
 * @since 2023-05-17 11:13:44
 */
@Service("studentMemberUpdateLogService")
public class StudentMemberUpdateLogServiceImpl extends ServiceImpl<StudentMemberUpdateLogDao, StudentMemberUpdateLog> implements StudentMemberUpdateLogService {

    private final static Logger log = LoggerFactory.getLogger(StudentMemberUpdateLogServiceImpl.class);

    @Override
    public StudentMemberUpdateLogDao getDao(){
            return this.baseMapper;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void saveToCloudTeacherOrder(CloudTeacherOrder cloudTeacherOrder) {
        StudentMemberUpdateLog studentMemberUpdateLog = new StudentMemberUpdateLog();
        studentMemberUpdateLog.setStudentId(cloudTeacherOrder.getStudentId());
        studentMemberUpdateLog.setMemo(cloudTeacherOrder.getRemark());
        studentMemberUpdateLog.setType(cloudTeacherOrder.getType());
        studentMemberUpdateLog.setLevel(cloudTeacherOrder.getLevel());
        studentMemberUpdateLog.setTime(cloudTeacherOrder.getTime());
        studentMemberUpdateLog.setBuyType(1);
        studentMemberUpdateLog.setOldEndTime(cloudTeacherOrder.getStartTime());
        studentMemberUpdateLog.setNewEndTime(cloudTeacherOrder.getEndTime());
        this.save(studentMemberUpdateLog);
    }

}

